Rockbox Technical Forums

Rockbox General => Rockbox General Discussion => Topic started by: Mt_Gamer on March 05, 2016, 05:44:44 PM

Title: Help please - ipod patcher
Post by: Mt_Gamer on March 05, 2016, 05:44:44 PM
Since a couple of hours I am trying to put Rockbox on my iPod (nano 2nd gen). Everything should work fine, but when I open iPod patcher, it says:
"/Users/EloiBonneville/Desktop/ipodpatcher ; exit;
ipodpatcher 5.0 with v4.0 bootloaders (v1.0 for 2nd Gen Nano)
(C) Dave Chapman 2006-2009
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

[INFO] Scanning disk devices...
[ERR]  FATAL: Permission denied on 3 device(s) and no ipod detected.
[ERR]  You need permissions for raw disc access for this program to work!

Press ENTER to exit ipodpatcher :                                                                             "

My ipod IS connected, I enabled disk use, and i don't understand why!

Please help me        (I am on a Mac OS X)         :'(

Title: Re: Help please - ipod patcher
Post by: saratoga on March 05, 2016, 05:50:40 PM
Any reason you're not using the automatic method in the manual?  It's probably a lot easier than the manual way (although I've never tried it).

If you really want to do the manual way, the log you posted says permission was denied.  Are you running the program as root? 
Title: Re: Help please - ipod patcher
Post by: Mt_Gamer on March 05, 2016, 07:11:34 PM
well, the automatic way doesn't work either. This message keeps appearing on the program:
"The following errors occurred:
Mountpoint does not exist
You need to fix the above errors before you can continue."
And when I try to select a different folder location, the only folder that appears is an unexisting folder.
Why?
Title: Re: Help please - ipod patcher
Post by: Mt_Gamer on March 05, 2016, 09:30:11 PM
OK!  ;D the automatic mode should work, but how can we access the ipod with RockboxUtility? (because when I try to install, it says:" Could not open iPod:Permission denied")


Thank you!
Title: Re: Help please - ipod patcher
Post by: bluebrother on March 06, 2016, 01:23:42 AM
Please provide more information. Which version of OS X are you using? Are you sure your Ipod is a Nano 2G? Did you use autodetection in Rockbox Utility? Also, please provide the output of About / Troubleshooting / System Trace after an unsuccessful installation attempt.
Title: Re: Help please - ipod patcher
Post by: Mt_Gamer on March 06, 2016, 07:48:59 AM
I am using Mac os x El Capitan version 10.11.3; I am sure at a 100% that it is a ipod nano 2gen;
But what I don't understand is that it says acces denied when I try to install it.

Could it be caused that I am using a FAT model ipod?
Title: Re: Help please - ipod patcher
Post by: bluebrother on March 06, 2016, 01:13:00 PM
But what I don't understand is that it says acces denied when I try to install it.

Could be that Apple changed some things with newer versions of OS X. I currently don't have El Capitan running (might be able to set that up in a while) so it's a bit hard to say.

Generally speaking installing the bootloader to an Ipod requires direct disk access, which is something operating systems (not only OS X) are a bit not-so-fond about. That makes a lot of sense since you can damage the complete disk contents if you're doing something wrong ...

Quote
Could it be caused that I am using a FAT model ipod?

No. Having the Ipod FAT formatted is actually a requirement for installing Rockbox.

One thing you can try is running ipodpatcher using sudo and see if that makes a difference (or run Rockbox Utility using sudo). Apart from that, given that the selected mountpoint is correct, I have no clear idea why it's not working, would need to try that myself.
Title: Re: Help please - ipod patcher
Post by: LambdaCalculus on April 04, 2016, 08:42:02 AM
"/Users/EloiBonneville/Desktop/ipodpatcher ; exit;

Use "sudo" to run ipodpatcher; e.g.:

$ sudo ./ipodpatcher
Title: Re: Help please - ipod patcher
Post by: bluebrother on April 10, 2016, 11:13:03 AM
Ok, finally managed to get El Capitan running and try it. There's indeed a problem, seems Apple changed something with permissions. I'm not really surprised by that, but obviously it breaks installing the bootloader on Ipods.

It works fine if you run Rockbox Utility using sudo though (or use ipodpatcher, if you want to -- but if you're running something using sudo you can as well start Rockbox Utility using sudo :) )
Title: Re: Help please - ipod patcher
Post by: bmwfans101 on August 18, 2018, 07:46:00 PM
ipodpatcher 5.0 with v4.0 bootloaders (v1.0 for 2nd Gen Nano)
(C) Dave Chapman 2006-2009
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

[INFO] Scanning disk devices...
[INFO] Read XML info (9692 bytes)
[INFO] Ipod found - Video (aka 5th Generation) ("winpod") - disk device 4
[INFO] Reading partition table from \\.\PhysicalDrive4
[INFO] Sector size is 512 bytes
[INFO] Part    Start Sector    End Sector   Size (MB)   Type
[INFO]    0              63        160649        78.4   Empty (0x00)
[INFO]    1          160650      58605118     28537.3   W95 FAT32 (0x0b)
[INFO] Read XML info (9692 bytes)
[INFO] Ipod model: Video (aka 5th Generation) (32MB RAM) ("winpod")
Enter i to install the Rockbox bootloader, u to uninstall
 or c to cancel and do nothing (i/u/c) :i
[INFO] Using internal bootloader - 51988 bytes
[INFO] Moving images to create room for new firmware...
 Error reading from disk: [ERR]  Write failed
: Invalid argument
[ERR]  Image movement failed.
[ERR]  --install failed.
Press ENTER to exit ipodpatcher :

this is the error i got any help anyone?